.. highlight:: cpp

Utilities
=========

.. doxygenclass:: orcus::pstring
   :members:

.. doxygenclass:: orcus::string_pool
   :members:

.. doxygenclass:: orcus::tokens
   :members:

.. doxygenclass:: orcus::cell_buffer
   :members:

.. doxygenclass:: orcus::zip_archive
   :members:


XML Types
=========

.. doxygentypedef:: orcus::xml_token_t

.. doxygentypedef:: orcus::xmlns_id_t

.. doxygenstruct:: orcus::xml_name_t

.. doxygenstruct:: orcus::xml_token_attr_t


Other Types
===========

.. doxygenenum:: orcus::length_unit_t

.. doxygenstruct:: orcus::date_time_t


